Subject: bug#40691: closed (Re: [bug#40691] [PATCH v6 0/3] gnu: Add gromacs, tng & lmfit.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 May 2020 08:41:02 +0000

Your bug report

#40691: [PATCH 0/1] gnu: Add gromacs.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40691: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40691
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#40691] [PATCH v6 0/3] gnu: Add gromacs, tng & lmfit.
From: Ludovic Courtès <[email-masked]>
To: Vincent Legoll <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 May 2020 10:40:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Vincent,

Vincent Legoll <[email-masked]> skribis:

>>> Vmd_molfile source is behind a registration-only web form, I'm
>>> not going there.
>>
>> Sounds reasonable: the headers say it’s part of Gromacs, and it’s
>> definitely free software, so it’s OK to keep it here.
>
> Added comment.
>
>>> Thread_mpi looks like it is made to be bundled like that, and
>>> is part of the parallelizing of gromacs which is above my
>>> level of understanding (I'm only trying to package it, I'm not
>>> a user). More info here:
>>
>> Sounds good.  Perhaps a comment in the code to state that would be
>> welcome, for our future selves.
>
> Added comment.
>
> Put tng & gromacs in chemistry.scm, in fact gromacs sci domain is
> chemistry, even if also used in bioinfo. Added more comments for
> patch & still bundled 3rdparties.
>
> Moved lmfit to algebra.scm, shortened synopsis.
>
> I think I fixed all review comments.

Thanks a lot, applied!  (Will push shortly.)

Ludo’.

Subject: [PATCH 0/1] gnu: Add gromacs.
From: Vincent Legoll <[email-masked]>
To: [email-masked]
Date: Sat, 18 Apr 2020 00:22:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

following this is a patch to add gromacs.

Description & synopsis taken from nix (hello Tobias)

Linted, indent-code.el passed, and built OK with 2 rounds.

Not sure if we want more cmake flags.

problems reported by cmake:

-- Found Doxygen: 
/gnu/store/k6albjaxkybsgshqyw6g44f5hz75l7q6-doxygen-1.8.15/bin/doxygen 
(found version "1.8.15") found components:  doxygen missing components:  dot

-- Could NOT find Sphinx: Found unsuitable version "-real 2.3.1", but 
required is at least "1.6.1" (found 
/gnu/store/anyhb84x3mvyp11sbhmdnicbsa42m3x0-python-sphinx-2.3.1/bin/sphinx-build)

-- 
Vincent Legoll